=== debian/changelog ===
ispack3 (3.2.2-1+0~20260109081735.2~1.gbpfece15) unstable; urgency=medium

  ** SNAPSHOT build @fece15664681ab4a63fbd4f53ff0f7f4cc1a87c7 **

  [ Youhei SASAKI ]
  * New upstream version 3.2.2
  * add missing depends: gfortran

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Fri, 09 Jan 2026 17:17:36 +0900

ispack3 (3.2.2-1) unstable; urgency=medium

  * Initial release. (Closes: #nnnn)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 19 Aug 2025 15:11:47 +0900
