=== debian/control ===
Source: ispack3
Section: libs
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends:
 debhelper-compat (= 13),
 gfortran,
 mpi-default-dev,
 mpi-default-bin
Standards-Version: 4.7.2
Homepage: https://www.gfd-dennou.org/arch/ispack/index.htm.en
#Vcs-Browser: https://salsa.debian.org/debian/ispack3
#Vcs-Git: https://salsa.debian.org/debian/ispack3.git

Package: libispack3
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: FORTRAN library for scientific computing -- shared library
 This library (ISPACK) is a package of basic tools (Spectral transform,
 etc.) as subroutines, which are required mainly for computations of
 simple fluid equations. Because each subroutine is designed to be used
 independently, this library is not an integrated environment in which
 you can run numerical models without sufficient knowledge. How to
 combine and use these subroutines is up to users.
 .
 This package provides shared library

Package: libispack3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libispack3 (= ${binary:Version}),
 ${misc:Depends},
Description: FORTRAN library for scientific computing -- header and static library
 This library (ISPACK) is a package of basic tools (Spectral transform,
 etc.) as subroutines, which are required mainly for computations of
 simple fluid equations. Because each subroutine is designed to be used
 independently, this library is not an integrated environment in which
 you can run numerical models without sufficient knowledge. How to
 combine and use these subroutines is up to users.
 .
 This package provides header and static library
