=== debian/watch ===
Version: 5

Source: https://dennou-k.gfd-dennou.org/library/ispack/SIGEN.htm
Matching-Pattern: .*/ispack-?(\d[\d.]*)\.tar\.gz
